=== debian/changelog ===
klick (0.12.2-5) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Olivier Humbert ]
  * Add a French manpage

 -- Bastian Germann <bage@debian.org>  Sun, 24 Sep 2023 16:25:21 +0200

klick (0.12.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with scons 3.1. Closes: #947666.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Jun 2020 12:06:34 +0200

klick (0.12.2-4) unstable; urgency=medium

  * Set dh 10.
  * Update copyright file.
  * Sign tags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Dec 2016 22:02:29 +0100

klick (0.12.2-3) unstable; urgency=medium

  * Bump Standards.
  * Fix VCS fields.
  * Fix some hardening.
  * Add patch to fix FTBFS with gcc-6 (Closes: #812034).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 11 Jul 2016 23:35:56 +0200

klick (0.12.2-2) unstable; urgency=low

  [ Alessio Treglia ]
  * Add gbp config file.
  * Update my mail address.
  * Bump Standards.
  * Enable debug build.

  [ Jaromír Mikeš ]
  * Set dh/compat 9
  * Removed DMUA.
  * Fix VCS canonical URLs.
  * Added local-options file
  * Added .gitignore file.
  * Update copyright file.
  * Switch to 3.0 format.
  * Added patch to fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 08 Aug 2013 16:10:57 +0200

klick (0.12.2-1) unstable; urgency=low

  * Initial release (Closes: #579165).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 25 Apr 2010 16:25:37 +0200
