=== debian/control ===
Source: klick
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper-compat (= 10),
 scons,
 libboost-dev,
 libjack-dev,
 libsndfile1-dev (>= 1.0.18),
 libsamplerate0-dev,
 liblo-dev,
 librubberband-dev
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/multimedia-team/klick.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/klick
Homepage: http://das.nasophon.de/klick/

Package: klick
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: gtklick
Description: advanced metronome for JACK
 klick is an advanced command-line based metronome using the JACK sound server.
 It allows you to define complex tempo maps for entire songs or performances.
 .
 A single meter and tempo can be specified on the command line, while more
 complex tempo maps can be read from plain text files.
 Alternatively, it's also possible to run klick in interactive mode,
 where the tempo can be changed at runtime using the keyboard,
 or to follow tempo information read from JACK transport.
