=== debian/watch ===
version=3
http://das.nasophon.de/download/klick-([\d]+\.[\d]+(?:\.[\d]+|)).tar.gz
